package com.ruoyi.web.sspMarks.domain;

/**
 * 智能公司,随手拍留痕上报表 smz_ssp_marks
 * 
 * @author gwb
 * @date 2021-04-06
 */
public class SspMarksDto
{
	private static final long serialVersionUID = 1L;
	
	/** id */
	private Integer id;
	/** 留痕上报地点 */
	private String marksLocation;
	/** 留痕时间 */
	private String marksTime;
	/** 留痕图片 */
	private String marksPicture;
	/** 留痕视频 */
	private String marksVideo;
	/** 工程类型 */
	private String pointType;
	/** 工序名称 */
	private String processName;
	/** 问题描述 */
	private String positionPart;
	/** 留痕说明 */
	private String marksRemark;
	/** 审核人 */
	private String workname;
	/** 审核人手机 */
	private String auditorPhone;
	/** 审批状态 */
	private int checkState;

	/** 创建时间 */
	private String createDate;
	/** 创建人 */
	private String createUser;
	/** 所属分部门 */
	private Integer projectId;
	/** 工程名称 */
	private String projectName;

	/**
	 * 施工人员身份证号码
	 */
	private String idcardnum;


	/**
	 * 工程类型
	 */
	private String  typeOfProject;

	/**
	 * 工序
	 */
	private String  procedure;

	/**
	 * 工程名称
	 */
	private String engineeringName;

	/**
	 * 设置：id
	 */
	public void setId(Integer id) 
	{
		this.id = id;
	}
	
	/**
	 * 获取：id
	 */
	public Integer getId() 
	{
		return id;
	}
	
	/**
	 * 设置：留痕上报地点
	 */
	public void setMarksLocation(String marksLocation) 
	{
		this.marksLocation = marksLocation;
	}
	
	/**
	 * 获取：留痕上报地点
	 */
	public String getMarksLocation() 
	{
		return marksLocation;
	}
	

	

	/**
	 * 设置：留痕图片
	 */
	public void setMarksPicture(String marksPicture) 
	{
		this.marksPicture = marksPicture;
	}
	
	/**
	 * 获取：留痕图片
	 */
	public String getMarksPicture() 
	{
		return marksPicture;
	}
	
	/**
	 * 设置：留痕视频
	 */
	public void setMarksVideo(String marksVideo) 
	{
		this.marksVideo = marksVideo;
	}
	
	/**
	 * 获取：留痕视频
	 */
	public String getMarksVideo() 
	{
		return marksVideo;
	}

	public String getPointType() {
		return pointType;
	}

	public void setPointType(String pointType) {
		this.pointType = pointType;
	}

	public String getWorkname() {
		return workname;
	}

	public void setWorkname(String workname) {
		this.workname = workname;
	}

	/**
	 * 设置：工序名称
	 */
	public void setProcessName(String processName) 
	{
		this.processName = processName;
	}
	
	/**
	 * 获取：工序名称
	 */
	public String getProcessName() 
	{
		return processName;
	}
	
	/**
	 * 设置：问题描述
	 */
	public void setPositionPart(String positionPart) 
	{
		this.positionPart = positionPart;
	}
	
	/**
	 * 获取：问题描述
	 */
	public String getPositionPart() 
	{
		return positionPart;
	}
	
	/**
	 * 设置：留痕说明
	 */
	public void setMarksRemark(String marksRemark) 
	{
		this.marksRemark = marksRemark;
	}
	
	/**
	 * 获取：留痕说明
	 */
	public String getMarksRemark() 
	{
		return marksRemark;
	}
	

	public String getMarksTime() {
		return marksTime;
	}

	public void setMarksTime(String marksTime) {
		this.marksTime = marksTime;
	}

	public String getCreateDate() {
		return createDate;
	}

	public void setCreateDate(String createDate) {
		this.createDate = createDate;
	}

	/**
	 * 设置：创建人
	 */
	public void setCreateUser(String createUser) 
	{
		this.createUser = createUser;
	}
	
	/**
	 * 获取：创建人
	 */
	public String getCreateUser() 
	{
		return createUser;
	}
	
	/**
	 * 设置：项目id
	 */
	public void setProjectId(Integer projectId) 
	{
		this.projectId = projectId;
	}
	
	/**
	 * 获取：项目id
	 */
	public Integer getProjectId() 
	{
		return projectId;
	}

	public String getProjectName() {
		return projectName;
	}

	public void setProjectName(String projectName) {
		this.projectName = projectName;
	}

	public String getAuditorPhone() {
		return auditorPhone;
	}

	public void setAuditorPhone(String auditorPhone) {
		this.auditorPhone = auditorPhone;
	}

	public int getCheckState() {
		return checkState;
	}

	public void setCheckState(int checkState) {
		this.checkState = checkState;
	}

	public String getTypeOfProject() {
		return typeOfProject;
	}

	public void setTypeOfProject(String typeOfProject) {
		this.typeOfProject = typeOfProject;
	}

	public String getProcedure() {
		return procedure;
	}

	public void setProcedure(String procedure) {
		this.procedure = procedure;
	}

	public String getEngineeringName() {
		return engineeringName;
	}

	public void setEngineeringName(String engineeringName) {
		this.engineeringName = engineeringName;
	}

	public String getIdcardnum() {
		return idcardnum;
	}

	public void setIdcardnum(String idcardnum) {
		this.idcardnum = idcardnum;
	}
}
