package com.yanzhu.jh.bigscreen.web.controller;

import com.ruoyi.common.core.domain.AjaxResult;
import com.yanzhu.jh.project.domain.SurProjectSchedule;
import com.yanzhu.jh.project.service.ISurProjectScheduleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/bgscreen/schedule")
public class ProjectScheduleController {

    @Autowired
    private ISurProjectScheduleService isurProjectScheduleService;

    @GetMapping("/projectConstructionProgress")
    public AjaxResult getProjectConstructionProgress(Long projectId){
        SurProjectSchedule surProjectSchedule= isurProjectScheduleService.getProjectConstructionProgress(projectId);
        return AjaxResult.success(surProjectSchedule);
    }
}
